<script>
  // Imports
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Plot from "./_design_2_plot.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/daily_heating_cooling.json");
  });
</script>

{#if !data}
  <p>Loading the data. Please wait...</p>
{:else}
<div>
  <p class="plot_title">Heating and cooling within a year</p>
  <div class = "row">
    <Plot data={data} city={"Baltimore"}/>
    <Plot data={data} city={"Chicago"}/>
    <Plot data={data} city={"Los Angeles"}/>
  </div>
</div>
{/if}

<style>
  p.plot_title{
    font-size: 18px;
    text-align: center;
    font-weight: bold;
  }
</style>
 